## wordwarvi 1.00+dfsg1

=== Makefile ===
PREFIX=/usr
DATADIR=${PREFIX}/share/wordwarvi
MANDIR?=${PREFIX}/share/man
MANPAGEDIR=${MANDIR}/man6

SCREENSAVERFLAG=
#SCREENSAVERFLAG=-DDO_INHIBIT_SCREENSAVER

# To compile withaudio, WITHAUDIO=yes, 
# for no audio support, change to WITHAUDIO=no, 
WITHAUDIO=yes
# WITHAUDIO=no

ifeq (${WITHAUDIO},yes)
SNDLIBS=`pkg-config --libs portaudio-2.0 vorbisfile`
SNDFLAGS=-DWITHAUDIOSUPPORT `pkg-config --cflags portaudio-2.0`
OGGOBJ=ogg_to_pcm.o
else
SNDLIBS=
SNDFLAGS=-DWWVIAUDIO_STUBS_ONLY
OGGOBJ=
endif

CC ?= gcc
BUILD_CC ?= gcc

# DEBUG=-g
# DEBUG=
# PROFILE_FLAG=-pg
#PROFILE_FLAG=
#OPTIMIZE_FLAG=
# OPTIMIZE_FLAG=-O3
#OPTIMIZE_FLAG=-O3 -pedantic -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security
OPTIMIZE_FLAG=-O3 -pedantic


LDFLAGS=${PROFILE_FLAG}

DEFINES=${SNDFLAGS} -DDATADIR=\"${DATADIR}/\"

all:	wordwarvi wordwarvi.6.gz

HAS_PORTAUDIO_2_0:
ifeq (${WITHAUDIO},yes)
	pkg-config --print-errors --exists portaudio-2.0
else
endif

HAS_VORBISFILE:
ifeq (${WITHAUDIO},yes)
	pkg-config --print-errors --exists vorbisfile
else
endif

joystick.o:	joystick.c joystick.h Makefile
	$(CC) ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} -pthread -Wall -c joystick.c

ogg_to_pcm.o:	ogg_to_pcm.c ogg_to_pcm.h Makefile
	$(CC) ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} `pkg-config --cflags vorbisfile` \
		-pthread -Wall -c ogg_to_pcm.c

wwviaudio.o:	wwviaudio.c wwviaudio.h ogg_to_pcm.h my_point.h Makefile
	$(CC) -Wall ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} \
		${DEFINES} \
		-pthread `pkg-config --cflags vorbisfile` \
		-c wwviaudio.c

rumble.o:	rumble.c rumble.h Makefile
	$(CC) ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} `pkg-config --cflags vorbisfile` \
		-pthread -Wall -c rumble.c

wwvi_font.o:	wwvi_font.c wwvi_font.h my_point.h Makefile
	$(CC) ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} -pthread -Wall -c wwvi_font.c

stamp:	stamp.c
	$(BUILD_CC) -o stamp stamp.c

wordwarvi:	wordwarvi.c joystick.o rumble.o ${OGGOBJ} wwviaudio.o wwvi_font.o \
		Makefile version.h stamp levels.h rumble.h
	./stamp > stamp.h
	$(CC) ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} ${SCREENSAVERFLAG} -pthread -Wall  ${DEFINES} \
		joystick.o \
		rumble.o \
		wwvi_font.o \
		${OGGOBJ} \
		wwviaudio.o \
		wordwarvi.c -o wordwarvi -lm ${SNDLIBS} \
		`pkg-config --cflags gtk+-2.0` `pkg-config --libs gtk+-2.0 gthread-2.0`
	/bin/rm stamp.h

wordwarvi.6.gz:	wordwarvi.6
	gzip -c wordwarvi.6 > wordwarvi.6.gz

install: wordwarvi wordwarvi.6.gz
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(DATADIR)/sounds
	mkdir -p $(DESTDIR)$(MANPAGEDIR)
	install -p -m 755 wordwarvi $(DESTDIR)$(PREFIX)/bin
	install -p -m 644 sounds/*.ogg $(DESTDIR)$(DATADIR)/sounds
	install -p -m 644 wordwarvi.6.gz $(DESTDIR)$(MANPAGEDIR)

uninstall:
	/bin/rm -f $(DESTDIR)${PREFIX}/bin/wordwarvi
	/bin/rm -fr $(DESTDIR)${DATADIR}
	/bin/rm -f $(DESTDIR)${MANPAGEDIR}/wordwarvi.6.gz

CHECK_VERSION:
	@echo Checking VERSION string ${VERSION}... 1>&2
	@echo ${VERSION} | grep '[0-9][0-9]*[.][0-9][0-9]*' > /dev/null 2>&1
	@echo VERSION=${VERSION} which looks ok. 1>&2
	@echo Checking that ${VERSION} matches what is in version.h 1>&2
	@grep ${VERSION} version.h > /dev/null 2>&1
	@echo VERSION ${VERSION} matches cursory check of version.h 1>&2

tarball:	CHECK_VERSION
	mkdir -p d/wordwarvi-${VERSION}/sounds
	cp Makefile version.h ogg_to_pcm.c ogg_to_pcm.h levels.h rumble.c rumble.h \
		joystick.c joystick.h changelog.txt wordwarvi.c wordwarvi.6 \
		wwviaudio.c wwviaudio.h my_point.h wwvi_font.h wwvi_font.c \
		stamp.c README AUTHORS COPYING \
		AAA_HOW_TO_MAKE_NEW_LEVELS.txt \
		changelog.txt wordwarvi_hacking.html bigrocket.png \
		d/wordwarvi-${VERSION}
	cp sounds/*.ogg d/wordwarvi-${VERSION}/sounds
	cp sounds/Attribution.txt d/wordwarvi-${VERSION}/sounds
	mkdir -p d/wordwarvi-${VERSION}/icons
	cp icons/*.png icons/*.xcf d/wordwarvi-${VERSION}/icons
	chown -R root:root d;
	( cd d; tar cvf ../wordwarvi-${VERSION}.tar ./wordwarvi-${VERSION} )
	gzip wordwarvi-${VERSION}.tar

clean:
	rm -f ./wordwarvi ./wordwarvi-*.tar.gz wordwarvi.6.gz stamp.h stamp
	rm -f ./joystick.o  ./ogg_to_pcm.o  ./rumble.o  ./wwviaudio.o ./wwvi_font.o
	rm -fr ./d

=== debian/changelog ===
wordwarvi (1.00+dfsg1-4) unstable; urgency=medium

  * Put package under Games Team umbrella (Closes: #869297)
  * Add Vcs-{Git|Browser} URLs pointing to salsa
  * Priority extra has been replaced by optional
  * Bump debhelper compat level to 11
  * Update Standards-Version to 4.3.0
  * Fix copyright file issues
  * Update Homepage URL protocol
  * Remove menu (tech-ctte decision on #741573)
  * Remove unneeded comments and spaces
  * Add ArcadeGame category to .desktop file (Closes: #865835)
  * Add patch for improved game usage instructions.
    Thanks to Andrej Mernik for the patch (Closes: #877993)
  * Add patch to make build reproducible.
    Thanks to Chris Lamb for the patch (Closes: 786593)
  * Make existing patches DEP3 compliant

 -- Ricardo Mones <mones@debian.org>  Mon, 04 Feb 2019 01:38:06 +0100

wordwarvi (1.00+dfsg1-3) unstable; urgency=low

  * add xdg desktop menu file
  * add xpm icon for desktop & menu

 -- Joe Nahmias <jello@debian.org>  Sun, 12 Aug 2012 01:48:16 -0400

wordwarvi (1.00+dfsg1-2) unstable; urgency=low

  * debian/watch: Fix debian version mangling as recommended by lintian.

 -- Joe Nahmias <jello@debian.org>  Sat, 30 Jun 2012 12:37:28 -0400

wordwarvi (1.00+dfsg1-1) unstable; urgency=low

  * Repackaged to remove music files that were licensed under
    CC-BY-SA-2.0.  See README.source for details.

 -- Joe Nahmias <jello@debian.org>  Sat, 30 Jun 2012 12:16:45 -0400

wordwarvi (1.00-1) unstable; urgency=low

  * Initial release, closes: Bug#677821

 -- Joe Nahmias <jello@debian.org>  Sat, 16 Jun 2012 19:30:41 -0400

=== debian/control ===
Source: wordwarvi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper (>= 11), libvorbis-dev, portaudio19-dev,
 libgtk2.0-dev
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/games-team/wordwarvi.git
Vcs-Browser: https://salsa.debian.org/games-team/wordwarvi
Homepage: https://smcameron.github.com/wordwarvi/

Package: wordwarvi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 wordwarvi-sound (= ${source:Version})
Description: retro-styled side-scrolling shoot'em up arcade game
 Word War vi is your basic side-scrolling shoot 'em up '80s style arcade
 game. You pilot your "vi"per craft through core memory, rescuing lost .swp
 files, avoiding OS defenses, and wiping out those memory hogging emacs
 processes.
 .
 Includes support for joysticks with force-feedback.

Package: wordwarvi-sound
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: retro-styled side-scrolling shoot'em up arcade game [Sound Files]
 Word War vi is your basic side-scrolling shoot 'em up '80s style arcade
 game. You pilot your "vi"per craft through core memory, rescuing lost .swp
 files, avoiding OS defenses, and wiping out those memory hogging emacs
 processes.
 .
 This package includes the sound files for wordwarvi.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND  = -O3 -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/\+dfsg\d+$//  \
  http://sf.net/wordwarvi/wordwarvi-(.*)\.tar\.gz

## wordwarvi 1.0.3

=== debian/changelog ===
wordwarvi (1.0.3-1) unstable; urgency=medium

  * [8f64816] d/watch: track tags on github
  * [83ac4c1] New upstream version 1.0.3
  * [9b2ce5c] update copyright info with relicense of some music;
              no need to repack the upstream source now!
  * [5c5b14e] drop patches merged upstream, refresh the rest
  * [ec15dfc] fix building with SOURCE_DATE_EPOCH
  * [524e764] pass LDFLAGS when linking
  * [c46755f] use all hardening flags
  * [e782ca0] add myself to uploaders
  * [11e7de1] bump std-ver to 4.5.1, no changes
  * [4b8aeff] enable salsa-ci pipeline

 -- Joseph Nahmias <jello@debian.org>  Tue, 02 Feb 2021 00:23:27 -0500

wordwarvi (1.00+dfsg1-5) unstable; urgency=medium

  * Add patch to fix FTBFS on hurd-i386
  * Bump compatibility level to 13
  * Update Standards-Version to 4.5.0, no other changes
  * Add Rules-Requires-Root field
  * Set Multi-Arch: foreign on sound package
  * Add some keywords and translations to desktop file

 -- Ricardo Mones <mones@debian.org>  Fri, 11 Sep 2020 17:21:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ricardo Mones <mones@debian.org>
-Build-Depends: debhelper (>= 11), libvorbis-dev, portaudio19-dev,
+           Joseph Nahmias <jello@debian.org>
+Build-Depends: debhelper-compat (= 13), libvorbis-dev, portaudio19-dev,
  libgtk2.0-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/games-team/wordwarvi.git
 Vcs-Browser: https://salsa.debian.org/games-team/wordwarvi
 Homepage: https://smcameron.github.com/wordwarvi/
@@ -24,6 +26,7 @@
 
 Package: wordwarvi-sound
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: retro-styled side-scrolling shoot'em up arcade game [Sound Files]
  Word War vi is your basic side-scrolling shoot 'em up '80s style arcade

## wordwarvi 1.0.4

=== Makefile ===
PREFIX?=/usr
BINDIR=${PREFIX}/games
DATADIR=${PREFIX}/share/wordwarvi
MANDIR?=${PREFIX}/share/man
MANPAGEDIR=${MANDIR}/man6
PKG_CONFIG?=pkg-config

SCREENSAVERFLAG=
#SCREENSAVERFLAG=-DDO_INHIBIT_SCREENSAVER

# To compile withaudio, WITHAUDIO=yes, 
# for no audio support, change to WITHAUDIO=no, 
WITHAUDIO=yes
# WITHAUDIO=no

ifeq (${WITHAUDIO},yes)
SNDLIBS=`$(PKG_CONFIG) --libs portaudio-2.0 vorbisfile`
SNDFLAGS=-DWITHAUDIOSUPPORT `$(PKG_CONFIG) --cflags portaudio-2.0`
OGGOBJ=ogg_to_pcm.o
else
SNDLIBS=
SNDFLAGS=-DWWVIAUDIO_STUBS_ONLY
OGGOBJ=
endif

# "make OPENLASE=1" to compile support for openlase laser projector
# NOTE: this will cut a lot of standard stuff out of wordwarvi
# for performance reasons, and cut the frame rate to 20 fps,
# as openlase rendering is slow
#
# "make OPENLASE=1 OPENLASEGRAYSCALE=1" to compile for openlase
# but monochromatic, in case you don't have an RGB capable
# laser projector.
#
ifeq (${OPENLASE},1)
ifeq (${OPENLASEGRAYSCALE},1)
OPENLASECFLAG=-DOPENLASE -DOPENLASEGRAYSCALE
else
OPENLASECFLAG=-DOPENLASE
endif
OPENLASELIB=-lopenlase
OPENLASELIBDIR=-L.
else
OPENLASELIB=
OPENLASECFLAG=
OPENLASELIBDIR=
endif

CC ?= gcc
BUILD_CC ?= gcc

# DEBUG=-g
# DEBUG=
# PROFILE_FLAG=-pg
#PROFILE_FLAG=
#OPTIMIZE_FLAG=
# OPTIMIZE_FLAG=-O3
#OPTIMIZE_FLAG=-O3 -pedantic -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security
CFLAGS ?= -O3 -pedantic
OPTIMIZE_FLAG = ${CFLAGS} ${CPPFLAGS}
WARNFLAG=-pedantic -W -Wall

LDFLAGS += ${PROFILE_FLAG}

DEFINES=${SNDFLAGS} -DDATADIR=\"${DATADIR}/\"

all:	wordwarvi wordwarvi.6.gz

HAS_PORTAUDIO_2_0:
ifeq (${WITHAUDIO},yes)
	$(PKG_CONFIG) --print-errors --exists portaudio-2.0
else
endif

HAS_VORBISFILE:
ifeq (${WITHAUDIO},yes)
	$(PKG_CONFIG) --print-errors --exists vorbisfile
else
endif

joystick.o:	joystick.c joystick.h Makefile
	$(CC) ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} -pthread ${WARNFLAG} -c joystick.c

ogg_to_pcm.o:	ogg_to_pcm.c ogg_to_pcm.h Makefile
	$(CC) ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} `$(PKG_CONFIG) --cflags vorbisfile` \
		-pthread ${WARNFLAG} -c ogg_to_pcm.c

wwviaudio.o:	wwviaudio.c wwviaudio.h ogg_to_pcm.h my_point.h Makefile
	$(CC) ${WARNFLAG} ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} \
		${DEFINES} \
		-pthread `$(PKG_CONFIG) --cflags vorbisfile` \
		-c wwviaudio.c

rumble.o:	rumble.c rumble.h Makefile
	$(CC) ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} `$(PKG_CONFIG) --cflags vorbisfile` \
		-pthread ${WARNFLAG} -c rumble.c

wwvi_font.o:	wwvi_font.c wwvi_font.h my_point.h Makefile
	$(CC) ${DEBUG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} -pthread ${WARNFLAG} -c wwvi_font.c

stamp:	stamp.c
	$(BUILD_CC) -o stamp stamp.c

wordwarvi:	wordwarvi.c joystick.o rumble.o ${OGGOBJ} wwviaudio.o wwvi_font.o \
		Makefile version.h stamp levels.h rumble.h
	./stamp > stamp.h
	$(CC) ${DEBUG} ${OPENLASECFLAG} ${PROFILE_FLAG} ${OPTIMIZE_FLAG} ${SCREENSAVERFLAG} -pthread ${WARNFLAG}  ${DEFINES} \
		joystick.o \
		rumble.o \
		wwvi_font.o \
		${OGGOBJ} \
		wwviaudio.o \
		wordwarvi.c -o wordwarvi ${OPENLASELIBDIR} ${OPENLASELIB} -lm ${SNDLIBS} \
		`$(PKG_CONFIG) --cflags gtk+-2.0` `$(PKG_CONFIG) --libs gtk+-2.0 gthread-2.0` ${LDFLAGS}
	/bin/rm stamp.h

wordwarvi.6.gz:	wordwarvi.6
	gzip -c wordwarvi.6 > wordwarvi.6.gz

install: wordwarvi wordwarvi.6.gz
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(DATADIR)/sounds
	mkdir -p $(DESTDIR)$(MANPAGEDIR)
	install -p -m 755 wordwarvi $(DESTDIR)$(BINDIR)
	install -p -m 644 sounds/*.ogg $(DESTDIR)$(DATADIR)/sounds
	install -p -m 644 wordwarvi.6.gz $(DESTDIR)$(MANPAGEDIR)

uninstall:
	/bin/rm -f $(DESTDIR)$(BINDIR)/wordwarvi
	/bin/rm -fr $(DESTDIR)${DATADIR}
	/bin/rm -f $(DESTDIR)${MANPAGEDIR}/wordwarvi.6.gz

CHECK_VERSION:
	@echo Checking VERSION string ${VERSION}... 1>&2
	@echo ${VERSION} | grep '[0-9][0-9]*[.][0-9][0-9]*' > /dev/null 2>&1
	@echo VERSION=${VERSION} which looks ok. 1>&2
	@echo Checking that ${VERSION} matches what is in version.h 1>&2
	@grep ${VERSION} version.h > /dev/null 2>&1
	@echo VERSION ${VERSION} matches cursory check of version.h 1>&2

tarball:	CHECK_VERSION
	mkdir -p d/wordwarvi-${VERSION}/sounds
	cp Makefile version.h ogg_to_pcm.c ogg_to_pcm.h levels.h rumble.c rumble.h \
		joystick.c joystick.h changelog.txt wordwarvi.c wordwarvi.6 \
		wwviaudio.c wwviaudio.h my_point.h wwvi_font.h wwvi_font.c \
		stamp.c README AUTHORS COPYING \
		AAA_HOW_TO_MAKE_NEW_LEVELS.txt \
		changelog.txt wordwarvi_hacking.html bigrocket.png \
		d/wordwarvi-${VERSION}
	cp sounds/*.ogg d/wordwarvi-${VERSION}/sounds
	cp sounds/Attribution.txt d/wordwarvi-${VERSION}/sounds
	mkdir -p d/wordwarvi-${VERSION}/icons
	cp icons/*.png icons/*.xcf d/wordwarvi-${VERSION}/icons
	chown -R root:root d;
	( cd d; tar cvf ../wordwarvi-${VERSION}.tar ./wordwarvi-${VERSION} )
	gzip wordwarvi-${VERSION}.tar

scan-build:
	make clean
	scan-build -o /tmp/wordwarvi-scan-build-output make CC=clang
	xdg-open /tmp/wordwarvi-scan-build-output/*/index.html

clean:
	rm -f ./wordwarvi ./wordwarvi-*.tar.gz wordwarvi.6.gz stamp.h stamp
	rm -f ./joystick.o  ./ogg_to_pcm.o  ./rumble.o  ./wwviaudio.o ./wwvi_font.o
	rm -fr ./d
	rm -fr /tmp/wordwarvi-scan-build-output

=== debian/changelog ===
wordwarvi (1.0.4-1) unstable; urgency=medium

  * [9f831b9] add missing comma between uploaders (Closes: #982047)
  * [23b0a4b] New upstream version 1.0.4
  * [4dcb3e3] drop upstreamed patches

 -- Joseph Nahmias <jello@debian.org>  Mon, 08 Feb 2021 20:33:13 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Ricardo Mones <mones@debian.org>
+Uploaders: Ricardo Mones <mones@debian.org>,
            Joseph Nahmias <jello@debian.org>
 Build-Depends: debhelper-compat (= 13), libvorbis-dev, portaudio19-dev,
  libgtk2.0-dev

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND  = -O3 -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
# debian/watch
# See uscan(1) for format

version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wordwarvi-$1.tar.gz%" \
    https://github.com/smcameron/wordwarvi/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
